# manifest

abstract fun manifest(): Manifest

Creates a new instance of a Manifest.

#### Since

7.1

abstract fun manifest(@DelegatesTo(value = Manifest::class) closure: Closure): Manifest

Creates and configures a new instance of a Manifest. The given closure configures the new manifest instance before it is returned.

#### Since

7.1

#### Parameters

closure

The closure to use to configure the manifest.

abstract fun manifest(action: Action<in Manifest>): Manifest

Creates and configures a new instance of a Manifest.

#### Since

7.1

#### Parameters

action

The action to use to configure the manifest.